? geda/devel/gschem/po/ja_JP.po
? geda/devel/gschem/po/remove-potcdate.sed
Index: geda/devel/gschem/noweb/gschem.nw
===================================================================
RCS file: /home/cvspsrv/cvsroot/eda/geda/devel/gschem/noweb/gschem.nw,v
retrieving revision 1.13
diff -u -r1.13 gschem.nw
--- geda/devel/gschem/noweb/gschem.nw	30 Aug 2002 04:02:45 -0000	1.13
+++ geda/devel/gschem/noweb/gschem.nw	28 Oct 2002 16:04:52 -0000
@@ -130,6 +130,7 @@
   int first_page = 1;
   char *geda_data;
 
+  gtk_set_locale();
   gtk_init(&argc, &argv);
   visual = gdk_visual_get_system();
 
Index: geda/devel/gschem/noweb/o_net.nw
===================================================================
RCS file: /home/cvspsrv/cvsroot/eda/geda/devel/gschem/noweb/o_net.nw,v
retrieving revision 1.10
diff -u -r1.10 o_net.nw
--- geda/devel/gschem/noweb/o_net.nw	27 Oct 2002 17:48:25 -0000	1.10
+++ geda/devel/gschem/noweb/o_net.nw	28 Oct 2002 16:04:53 -0000
@@ -136,7 +136,7 @@
 
 #if NET_DEBUG
     /* temp debug only */
-    font = gdk_font_load ("10x20");
+    font = gdk_fontset_load ("10x20");
     sprintf(tempstring, "%s", o_current->name);
     gdk_draw_text (w_current->window,
                    font,
Index: geda/devel/gschem/noweb/x_grid.nw
===================================================================
RCS file: /home/cvspsrv/cvsroot/eda/geda/devel/gschem/noweb/x_grid.nw,v
retrieving revision 1.4
diff -u -r1.4 x_grid.nw
--- geda/devel/gschem/noweb/x_grid.nw	19 Oct 2002 17:47:54 -0000	1.4
+++ geda/devel/gschem/noweb/x_grid.nw	28 Oct 2002 16:04:53 -0000
@@ -197,7 +197,7 @@
 
   gdk_gc_set_foreground(w_current->gc, x_get_color(w_current->lock_color));
 
-  font = gdk_font_load ("fixed");
+  font = gdk_fontset_load ("fixed");
   for (j = 0; j < MAX_TILES_Y; j++) {
     for (i = 0; i < MAX_TILES_X; i++) {
       t_current = &w_current->page_current->world_tiles[i][j];
Index: geda/devel/gschem/noweb/x_log.nw
===================================================================
RCS file: /home/cvspsrv/cvsroot/eda/geda/devel/gschem/noweb/x_log.nw,v
retrieving revision 1.4
diff -u -r1.4 x_log.nw
--- geda/devel/gschem/noweb/x_log.nw	19 Oct 2002 17:47:54 -0000	1.4
+++ geda/devel/gschem/noweb/x_log.nw	28 Oct 2002 16:04:53 -0000
@@ -109,7 +109,7 @@
 void
 x_log_read(void)
 {
-  char buf[81];
+  char buf[200];
   int tmp_fd;
   int len;
 
@@ -125,7 +125,7 @@
     return;
   }
 
-  while ((len = read(tmp_fd, &buf, 79)) != 0) {
+  while ((len = read(tmp_fd, &buf, 198)) != 0) {
     /* not sure if this nukes the last char or not... */
     buf[len] = '\0'; /* null terminate the buffer */
     gtk_text_insert (GTK_TEXT (sttext),
Index: geda/devel/gschem/noweb/x_menus.nw
===================================================================
RCS file: /home/cvspsrv/cvsroot/eda/geda/devel/gschem/noweb/x_menus.nw,v
retrieving revision 1.11
diff -u -r1.11 x_menus.nw
--- geda/devel/gschem/noweb/x_menus.nw	18 Oct 2002 02:40:53 -0000	1.11
+++ geda/devel/gschem/noweb/x_menus.nw	28 Oct 2002 16:04:53 -0000
@@ -458,10 +458,10 @@
         if (GTK_IS_LABEL (child))
         {
           font =
-            gdk_font_load ("-unknown-Courier New-normal-r-normal--17-127-96-96-m-0-iso8859-1");
+            gdk_fontset_load ("-unknown-Courier New-normal-r-normal--17-127-96-96-m-0-iso8859-1");
           if (!font) {
             font =
-              gdk_font_load ("-unknown-Fixedsys-normal-r-normal--14-105-96-96-m-0-iso8859-1");
+              gdk_fontset_load ("-unknown-Fixedsys-normal-r-normal--14-105-96-96-m-0-iso8859-1");
           }
 
           if (font) {
Index: geda/devel/gschem/noweb/x_multiattrib.nw
===================================================================
RCS file: /home/cvspsrv/cvsroot/eda/geda/devel/gschem/noweb/x_multiattrib.nw,v
retrieving revision 1.5
diff -u -r1.5 x_multiattrib.nw
--- geda/devel/gschem/noweb/x_multiattrib.nw	19 Oct 2002 17:47:54 -0000	1.5
+++ geda/devel/gschem/noweb/x_multiattrib.nw	28 Oct 2002 16:04:54 -0000
@@ -123,31 +123,31 @@
 
   if(gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(visbutton))) {
     *vis = VISIBLE;
-    strcpy(text[2], "Yes");
+    strcpy(text[2], _("Yes"));
   } else {
     *vis = INVISIBLE;
-    strcpy(text[2], "No");
+    strcpy(text[2], _("No"));
   }
 
   option_index = option_menu_get_history(GTK_OPTION_MENU(show_options));
   switch (option_index) {
     case (0):
       *show = SHOW_VALUE;
-      strcpy(text[3], "V");
+      strcpy(text[3], _("V"));
       break;
 
     case (1):
       *show = SHOW_NAME;
-      strcpy(text[3], "N");
+      strcpy(text[3], _("N"));
       break;
 
     case (2):
       *show = SHOW_NAME_VALUE;
-      strcpy(text[3], "NV");
+      strcpy(text[3], _("NV"));
       break;
 
     default:
-      fprintf(stderr, "Got invalid show option; defaulting to show both\n");
+      fprintf(stderr, _("Got invalid show option; defaulting to show both\n"));
       *show = SHOW_NAME_VALUE;
       break;
   }
@@ -507,7 +507,7 @@
   mawindow = gtk_window_new (GTK_WINDOW_DIALOG);
   w_current->mawindow = mawindow; /* gschem specific */
   gtk_object_set_data (GTK_OBJECT (mawindow), "mawindow", mawindow);
-  gtk_window_set_title (GTK_WINDOW (mawindow), "Edit Attributes");
+  gtk_window_set_title (GTK_WINDOW (mawindow), _("Edit Attributes"));
   gtk_window_set_position (GTK_WINDOW (mawindow), GTK_WIN_POS_MOUSE);
   gtk_window_set_modal (GTK_WINDOW (mawindow), TRUE);
   gtk_window_set_default_size (GTK_WINDOW (mawindow), 320, 350);
@@ -521,7 +521,7 @@
   gtk_container_add (GTK_CONTAINER (mawindow), vbox1);
   gtk_container_set_border_width (GTK_CONTAINER (vbox1), 5);
 
-  frame1 = gtk_frame_new ("Attributes");
+  frame1 = gtk_frame_new (_("Attributes"));
   gtk_widget_ref (frame1);
   gtk_object_set_data_full (GTK_OBJECT (mawindow), "frame1", frame1,
                             (GtkDestroyNotify) gtk_widget_unref);
@@ -551,28 +551,28 @@
   /* gschem specific */
   gtk_object_set_data(GTK_OBJECT(clist),"selected",(gpointer)-1);
 
-  label1 = gtk_label_new ("Name");
+  label1 = gtk_label_new (_("Name"));
   gtk_widget_ref (label1);
   gtk_object_set_data_full (GTK_OBJECT (mawindow), "label1", label1,
                             (GtkDestroyNotify) gtk_widget_unref);
   gtk_widget_show (label1);
   gtk_clist_set_column_widget (GTK_CLIST (clist), 0, label1);
 
-  label2 = gtk_label_new ("Value");
+  label2 = gtk_label_new (_("Value"));
   gtk_widget_ref (label2);
   gtk_object_set_data_full (GTK_OBJECT (mawindow), "label2", label2,
                             (GtkDestroyNotify) gtk_widget_unref);
   gtk_widget_show (label2);
   gtk_clist_set_column_widget (GTK_CLIST (clist), 1, label2);
 
-  label3a = gtk_label_new ("Vis?");
+  label3a = gtk_label_new (_("Vis?"));
   gtk_widget_ref (label3a);
   gtk_object_set_data_full (GTK_OBJECT (mawindow), "label3", label3a,
                             (GtkDestroyNotify) gtk_widget_unref);
   gtk_widget_show (label3a);
   gtk_clist_set_column_widget (GTK_CLIST (clist), 2, label3a);
 
-  label3b = gtk_label_new ("SN");
+  label3b = gtk_label_new (_("SN"));
   gtk_widget_ref (label3b);
   gtk_object_set_data_full (GTK_OBJECT (mawindow), "label3", label3b,
                             (GtkDestroyNotify) gtk_widget_unref);
@@ -580,7 +580,7 @@
   gtk_clist_set_column_widget (GTK_CLIST (clist), 3, label3b);
 
   
-  frame3 = gtk_frame_new ("Add/Edit");
+  frame3 = gtk_frame_new (_("Add/Edit"));
   gtk_widget_ref (frame3);
   gtk_object_set_data_full (GTK_OBJECT (mawindow), "frame3", frame3,
                             (GtkDestroyNotify) gtk_widget_unref);
@@ -595,7 +595,7 @@
   gtk_container_add (GTK_CONTAINER (frame3), table1);
   gtk_container_set_border_width(GTK_CONTAINER(table1), 4);
 
-  label4 = gtk_label_new ("Name:");
+  label4 = gtk_label_new (_("Name:"));
   gtk_widget_ref (label4);
   gtk_object_set_data_full (GTK_OBJECT (mawindow), "label4", label4,
                             (GtkDestroyNotify) gtk_widget_unref);
@@ -605,7 +605,7 @@
                     (GtkAttachOptions) (0), 0, 0);
   gtk_misc_set_alignment (GTK_MISC (label4), 0, 0.5);
 
-  label5 = gtk_label_new ("Value:");
+  label5 = gtk_label_new (_("Value:"));
   gtk_widget_ref (label5);
   gtk_object_set_data_full (GTK_OBJECT (mawindow), "label5", label5,
                             (GtkDestroyNotify) gtk_widget_unref);
@@ -615,7 +615,7 @@
                     (GtkAttachOptions) (0), 0, 0);
   gtk_misc_set_alignment (GTK_MISC (label5), 0, 0.5);
 
-  visbutton = gtk_check_button_new_with_label ("Visible");
+  visbutton = gtk_check_button_new_with_label (_("Visible"));
   gtk_widget_ref (visbutton);
   gtk_object_set_data_full (GTK_OBJECT (mawindow), "visbutton", visbutton,
                             (GtkDestroyNotify) gtk_widget_unref);
@@ -664,13 +664,13 @@
                     (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                     (GtkAttachOptions) (0), 6, 3);
   show_options_menu = gtk_menu_new ();
-  glade_menuitem = gtk_menu_item_new_with_label ("Show Value only");
+  glade_menuitem = gtk_menu_item_new_with_label (_("Show Value only"));
   gtk_widget_show (glade_menuitem);
   gtk_menu_append (GTK_MENU (show_options_menu), glade_menuitem);
-  glade_menuitem = gtk_menu_item_new_with_label ("Show Name only");
+  glade_menuitem = gtk_menu_item_new_with_label (_("Show Name only"));
   gtk_widget_show (glade_menuitem);
   gtk_menu_append (GTK_MENU (show_options_menu), glade_menuitem);
-  glade_menuitem = gtk_menu_item_new_with_label ("Show Name & Value");
+  glade_menuitem = gtk_menu_item_new_with_label (_("Show Name & Value"));
   gtk_widget_show (glade_menuitem);
   gtk_menu_append (GTK_MENU (show_options_menu), glade_menuitem);
   gtk_option_menu_set_menu (GTK_OPTION_MENU (show_options), show_options_menu);
@@ -690,7 +690,7 @@
   gtk_box_pack_start (GTK_BOX (vbox2), hbuttonbox1, FALSE, TRUE, 0);
   gtk_button_box_set_layout (GTK_BUTTON_BOX (hbuttonbox1), GTK_BUTTONBOX_END);
 
-  changebutton = gtk_button_new_with_label ("Change");
+  changebutton = gtk_button_new_with_label (_("Change"));
   gtk_widget_ref (changebutton);
   gtk_object_set_data_full (GTK_OBJECT (mawindow), "changebutton", changebutton,
                             (GtkDestroyNotify) gtk_widget_unref);
@@ -700,7 +700,7 @@
   /* gschem specific */
   gtk_object_set_data(GTK_OBJECT(changebutton), "mawindow", mawindow);
 
-  addbutton = gtk_button_new_with_label ("Add");
+  addbutton = gtk_button_new_with_label (_("Add"));
   gtk_widget_ref (addbutton);
   gtk_object_set_data_full (GTK_OBJECT (mawindow), "addbutton", addbutton,
                             (GtkDestroyNotify) gtk_widget_unref);
@@ -710,7 +710,7 @@
   /* gschem specific */
   gtk_object_set_data(GTK_OBJECT(addbutton), "mawindow", mawindow); 
 
-  deletebutton = gtk_button_new_with_label ("Delete");
+  deletebutton = gtk_button_new_with_label (_("Delete"));
   gtk_widget_ref (deletebutton);
   gtk_object_set_data_full (GTK_OBJECT (mawindow), "deletebutton", deletebutton,
                             (GtkDestroyNotify) gtk_widget_unref);
@@ -726,7 +726,7 @@
   gtk_box_pack_start (GTK_BOX (vbox2), hbuttonbox2, TRUE, TRUE, 0);
   gtk_button_box_set_layout (GTK_BUTTON_BOX (hbuttonbox2), GTK_BUTTONBOX_END);
 
-  clearbutton = gtk_button_new_with_label ("Clear");
+  clearbutton = gtk_button_new_with_label (_("Clear"));
   gtk_widget_ref (clearbutton);
   gtk_object_set_data_full (GTK_OBJECT (mawindow), "clearbutton", clearbutton,
                             (GtkDestroyNotify) gtk_widget_unref);
@@ -734,7 +734,7 @@
   gtk_container_add (GTK_CONTAINER (hbuttonbox2), clearbutton);
   GTK_WIDGET_SET_FLAGS (clearbutton, GTK_CAN_DEFAULT);
 
-  closebutton = gtk_button_new_with_label ("Close");
+  closebutton = gtk_button_new_with_label (_("Close"));
   gtk_widget_ref (closebutton);
   gtk_object_set_data_full (GTK_OBJECT (mawindow), "closebutton", closebutton,
                             (GtkDestroyNotify) gtk_widget_unref);
@@ -779,17 +779,17 @@
       o_attrib_get_name_value(attriblist[i]->text->string,
                               text[0], text[1]);
       if(attriblist[i]->visibility == VISIBLE) {
-        strcpy(text[2], "Yes");
+        strcpy(text[2], _("Yes"));
       } else {
-        strcpy(text[2], "No");
+        strcpy(text[2], _("No"));
       }
 
       if(attriblist[i]->show_name_value == SHOW_NAME) {
-        strcpy(text[3], "N");
+        strcpy(text[3], _("N"));
       } else if(attriblist[i]->show_name_value == SHOW_VALUE) {
-        strcpy(text[3], "V");
+        strcpy(text[3], _("V"));
       } else {
-        strcpy(text[3], "NV");
+        strcpy(text[3], _("NV"));
       }
       row = gtk_clist_append(GTK_CLIST(clist),text);
       gtk_clist_set_row_data (GTK_CLIST(clist),row,attriblist[i]);
Index: geda/devel/gschem/po/LINGUAS
===================================================================
RCS file: /home/cvspsrv/cvsroot/eda/geda/devel/gschem/po/LINGUAS,v
retrieving revision 1.2
diff -u -r1.2 LINGUAS
--- geda/devel/gschem/po/LINGUAS	26 Sep 2002 14:49:26 -0000	1.2
+++ geda/devel/gschem/po/LINGUAS	28 Oct 2002 16:04:54 -0000
@@ -1,2 +1,3 @@
 pt_BR
 de_DE
+ja_JP
\ No newline at end of file
